es.phhsnews.com


es.phhsnews.com / Cómo comprobar si sus extensiones dejarán de funcionar con Firefox 57

Cómo comprobar si sus extensiones dejarán de funcionar con Firefox 57


Con Firefox 57, cuya publicación está programada para el 14 de noviembre de 2017, Mozilla finalizará el soporte para extensiones heredadas, y solo admitirá nuevas WebExtensions . A continuación, le mostramos cómo comprobar si sus extensiones dejarán de funcionar y cómo seguir utilizándolas después de noviembre, si es necesario.

Por qué las extensiones XUL están en marcha

Se están descontinuando todas las extensiones tradicionales, incluidas las extensiones XUL. Eran muy poderosos, pero eso era tanto una fortaleza como una debilidad. El gran poder de estas extensiones significaba que podían modificar el código del navegador de Firefox, lo que podría generar inestabilidad y complementos de malware de aspecto inocente.

En cambio, Mozilla ha estado trabajando en WebExtensions, que son similares a los complementos de Chrome y Edge. . Estos son el futuro de las extensiones de Firefox. Debido a que estos complementos tienen que funcionar de una manera más estándar y no pueden interferir con el código interno de Firefox, deberían causar menos problemas. También debería ser más fácil para los desarrolladores exportar complementos de Chrome a Firefox.

Actualmente, Firefox admite extensiones tradicionales (heredadas) y WebExtensions. Con Firefox 57, las extensiones anteriores dejarán de funcionar y solo funcionarán WebExtensions más nuevas. Este cambio ya está en vivo en Firefox Nightly, la versión de desarrollo de vanguardia de Firefox. Los desarrolladores han sido impulsados ​​a actualizar sus extensiones, pero no todas tienen, lo que nos lleva al problema.

Cómo ver si sus extensiones dejarán de funcionar

si usa Firefox hoy, puede verificar para ver cuál de sus las extensiones dejarán de funcionar en la versión 57. Para verificar, haga clic en menú> Complementos y seleccione la categoría "Extensiones".

Las extensiones anteriores que dejarán de funcionar están etiquetadas con una etiqueta "Legacy" si está usando Firefox 55 o más nuevo. Las WebExtensions modernas que continuarán funcionando normalmente.

Cómo buscar nuevas extensiones

Si una extensión tiene una etiqueta "Legacy", puede consultar esta lista de extensiones populares con información sobre su estado de actualización. Por ejemplo, en la captura de pantalla anterior, LastPass está marcado como extensión Legacy que dejará de funcionar, pero podemos ver que los desarrolladores planean reemplazarlo con WebExtension antes de la fecha de lanzamiento de Firefox 57.

Para extensiones menos populares, es posible que necesite realizar una búsqueda web para ver si el desarrollador está planificando una actualización. Los desarrolladores deben trasladar sus extensiones a WebExtensions, y no todos los desarrolladores lo harán.

Si una extensión de la que depende dejará de funcionar, es posible que deba buscar una alternativa moderna que haga algo similar. Puede buscar complementos que sean compatibles con Firefox 57 o posterior en el sitio de Complementos de Mozilla.

Cualquier complemento que tenga la etiqueta "Compatible con Firefox 57+" es una WebExtension que continuará funcionando. Por ejemplo, la extensión User Agent Switcher que hemos instalado no está planificada para una actualización, por lo que probablemente deseemos instalar una de las extensiones más modernas de User Agent Switcher.

RELACIONADO: Las extensiones de navegador son una pesadilla de privacidad: Deje de usar tantos de ellos

Este es un buen momento para evaluar si realmente necesita todas esas extensiones. Las extensiones del navegador pueden ser peligrosas, por lo que es una buena idea tenerlas instaladas si son realmente útiles para usted y de una fuente confiable.

Cómo seguir utilizando las extensiones heredadas

Si realmente necesita una extensión anterior, hay una forma de seguir usándolos de forma segura. Cambie a la versión de soporte extendido de Firefox, también conocida como Firefox ESR. Esta es una versión más lenta de Firefox pensada principalmente para empresas que no desean actualizaciones de funciones principales cada seis semanas.

La versión actual de Firefox ESR está basada en Firefox 52 y será compatible con actualizaciones de seguridad hasta el 26 de junio de 2018 Como está basado en Firefox 52, las extensiones anteriores continuarán funcionando sin ningún problema

Después del 26 de junio de 2018, tendrás que actualizar a una versión más nueva de Firefox ESR que ya no admitirá las extensiones heredadas si quieres Continuar recibiendo actualizaciones de seguridad. Esta no es una solución permanente, pero es una buena manera de seguir utilizando sus extensiones actuales durante otros siete meses mientras evalúa alternativas más modernas.


Cómo agregar más Toque los dedos de identificación en su Mac

Cómo agregar más Toque los dedos de identificación en su Mac

Touch ID en la nueva MacBook Pro hace que el inicio de sesión sea mucho más fácil: simplemente coloque el dedo sobre el botón de encendido, y se encontrará en . Es algo pequeño, pero hace que despierte su computadora e inicie sesión casi al instante. Por defecto, esto funciona con cualquier dedo que elija la primera vez que configura su Mac, pero a veces es posible que desee usar un dedo diferente .

(how-top)

¿Por qué la mayoría de los programas siguen siendo de 32 bits en una versión de Windows de 64 bits?

¿Por qué la mayoría de los programas siguen siendo de 32 bits en una versión de Windows de 64 bits?

Probablemente su computadora está ejecutando una versión de Windows de 64 bits. Pero eche un vistazo al Administrador de tareas y verá que muchas aplicaciones en su sistema todavía son de 32 bits. ¿Es esto un problema? La mayoría de las computadoras modernas, definitivamente las que se venden desde los 7 días de Windows, tienen capacidad para 64 bits y se envían con una versión de Windows de 64 bits.

(how-top)